local config = {};

-- 截取间隔
config.nIntervalTime = 3000;

config.aryParticleConfig =
{
	{
		-- 微笑
		{
			["textureFileName"] = "heart/heart1.png",
			["maxParticles"] = 25,					-- 最大粒子数
			["gravityx"] = 800,						-- 重力x方向
			["gravityy"] = 0,						-- 重力y方向
			["particleLifespan"] = 2,				-- 存活时间
			["particleLifespanVariance"] = 1,
			["angle"] = 180,						-- 初角度
			["angleVariance"] = 0,
			["speed"] = 1,							-- 初速度
			["speedVariance"] = 0,
			["startColorAlpha"] = 1,				-- 开始颜色
			["startColorBlue"] = 1,
			["startColorGreen"] = 1,
			["startColorRed"] = 1,
			["startColorVarianceAlpha"] = 0,
			["startColorVarianceBlue"] = 0,
			["startColorVarianceGreen"] = 0,
			["startColorVarianceRed"] = 0,
			["finishColorAlpha"] = 1,				-- 结束颜色
			["finishColorBlue"] = 1,
			["finishColorGreen"] = 1,
			["finishColorRed"] = 1,
			["finishColorVarianceAlpha"] = 0,
			["finishColorVarianceBlue"] = 0,
			["finishColorVarianceGreen"] = 0,
			["finishColorVarianceRed"] = 0,
			["startParticleSize"] = 100,			-- 开始大小
			["startParticleSizeVariance"] = 99,
			["finishParticleSize"] = 100,			-- 结束大小
			["finishParticleSizeVariance"] = 0,
			["rotationStart"] = 180,				-- 开始旋转
			["rotationStartVariance"] = 0,
			["rotationEnd"] = 180,					-- 结束旋转
			["rotationEndVariance"] = 0,
			["sourcePositionx"] = 0,				-- 出生位置
			["sourcePositiony"] = 0,
			["sourcePositionVariancex"] = 800,
			["sourcePositionVariancey"] = 800,
			["radialAcceleration"] = 0,				-- 
			["radialAccelVariance"] = 0,
			["tangentialAcceleration"] = 0,
			["tangentialAccelVariance"] = 0,
		},
		{
			["textureFileName"] = "heart/face1.png",
			["maxParticles"] = 8,					-- 最大粒子数
			["gravityx"] = 800,						-- 重力x方向
			["gravityy"] = 0,						-- 重力y方向
			["particleLifespan"] = 2,				-- 存活时间
			["particleLifespanVariance"] = 1,
			["angle"] = 180,						-- 初角度
			["angleVariance"] = 0,
			["speed"] = 1,							-- 初速度
			["speedVariance"] = 0,
			["startColorAlpha"] = 1,				-- 开始颜色
			["startColorBlue"] = 1,
			["startColorGreen"] = 1,
			["startColorRed"] = 1,
			["startColorVarianceAlpha"] = 0,
			["startColorVarianceBlue"] = 0,
			["startColorVarianceGreen"] = 0,
			["startColorVarianceRed"] = 0,
			["finishColorAlpha"] = 1,				-- 结束颜色
			["finishColorBlue"] = 1,
			["finishColorGreen"] = 1,
			["finishColorRed"] = 1,
			["finishColorVarianceAlpha"] = 0,
			["finishColorVarianceBlue"] = 0,
			["finishColorVarianceGreen"] = 0,
			["finishColorVarianceRed"] = 0,
			["startParticleSize"] = 100,			-- 开始大小
			["startParticleSizeVariance"] = 99,
			["finishParticleSize"] = 100,			-- 结束大小
			["finishParticleSizeVariance"] = 0,
			["rotationStart"] = 180,				-- 开始旋转
			["rotationStartVariance"] = 0,
			["rotationEnd"] = 180,					-- 结束旋转
			["rotationEndVariance"] = 0,
			["sourcePositionx"] = 0,				-- 出生位置
			["sourcePositiony"] = 0,
			["sourcePositionVariancex"] = 800,
			["sourcePositionVariancey"] = 800,
			["radialAcceleration"] = 0,				-- 
			["radialAccelVariance"] = 0,
			["tangentialAcceleration"] = 0,
			["tangentialAccelVariance"] = 0,
		},
	},
	{
		-- 张嘴
		{
			["textureFileName"] = "heart/heart2.png",
			["maxParticles"] = 25,					-- 最大粒子数
			["gravityx"] = 0,						-- 重力x方向
			["gravityy"] = 800,						-- 重力y方向
			["particleLifespan"] = 2,				-- 存活时间
			["particleLifespanVariance"] = 1,
			["angle"] = 180,						-- 初角度
			["angleVariance"] = 0,
			["speed"] = 1,							-- 初速度
			["speedVariance"] = 0,
			["startColorAlpha"] = 1,				-- 开始颜色
			["startColorBlue"] = 1,
			["startColorGreen"] = 1,
			["startColorRed"] = 1,
			["startColorVarianceAlpha"] = 0,
			["startColorVarianceBlue"] = 0,
			["startColorVarianceGreen"] = 0,
			["startColorVarianceRed"] = 0,
			["finishColorAlpha"] = 1,				-- 结束颜色
			["finishColorBlue"] = 1,
			["finishColorGreen"] = 1,
			["finishColorRed"] = 1,
			["finishColorVarianceAlpha"] = 0,
			["finishColorVarianceBlue"] = 0,
			["finishColorVarianceGreen"] = 0,
			["finishColorVarianceRed"] = 0,
			["startParticleSize"] = 100,			-- 开始大小
			["startParticleSizeVariance"] = 99,
			["finishParticleSize"] = 100,			-- 结束大小
			["finishParticleSizeVariance"] = 0,
			["rotationStart"] = 180,				-- 开始旋转
			["rotationStartVariance"] = 0,
			["rotationEnd"] = 180,					-- 结束旋转
			["rotationEndVariance"] = 0,
			["sourcePositionx"] = 0,				-- 出生位置
			["sourcePositiony"] = -200,
			["sourcePositionVariancex"] = 800,
			["sourcePositionVariancey"] = 800,
			["radialAcceleration"]		= 300,				-- 
			["radialAccelVariance"]		= 300,
			["tangentialAcceleration"]	= 300,
			["tangentialAccelVariance"] = 300,
		},
		{
			["textureFileName"] = "heart/face2.png",
			["maxParticles"] = 8,					-- 最大粒子数
			["gravityx"] = 0,						-- 重力x方向
			["gravityy"] = 800,						-- 重力y方向
			["particleLifespan"] = 2,				-- 存活时间
			["particleLifespanVariance"] = 1,
			["angle"] = 180,						-- 初角度
			["angleVariance"] = 0,
			["speed"] = 1,							-- 初速度
			["speedVariance"] = 0,
			["startColorAlpha"] = 1,				-- 开始颜色
			["startColorBlue"] = 1,
			["startColorGreen"] = 1,
			["startColorRed"] = 1,
			["startColorVarianceAlpha"] = 0,
			["startColorVarianceBlue"] = 0,
			["startColorVarianceGreen"] = 0,
			["startColorVarianceRed"] = 0,
			["finishColorAlpha"] = 1,				-- 结束颜色
			["finishColorBlue"] = 1,
			["finishColorGreen"] = 1,
			["finishColorRed"] = 1,
			["finishColorVarianceAlpha"] = 0,
			["finishColorVarianceBlue"] = 0,
			["finishColorVarianceGreen"] = 0,
			["finishColorVarianceRed"] = 0,
			["startParticleSize"] = 100,			-- 开始大小
			["startParticleSizeVariance"] = 99,
			["finishParticleSize"] = 100,			-- 结束大小
			["finishParticleSizeVariance"] = 0,
			["rotationStart"] = 180,				-- 开始旋转
			["rotationStartVariance"] = 0,
			["rotationEnd"] = 180,					-- 结束旋转
			["rotationEndVariance"] = 0,
			["sourcePositionx"] = 0,				-- 出生位置
			["sourcePositiony"] = -200,
			["sourcePositionVariancex"] = 800,
			["sourcePositionVariancey"] = 800,
			["radialAcceleration"]		= 300,				-- 
			["radialAccelVariance"]		= 300,
			["tangentialAcceleration"]	= 300,
			["tangentialAccelVariance"] = 300,
		},
	},
	{
		{
			["textureFileName"] = "heart/heart3.png",
			["maxParticles"] = 25,					-- 最大粒子数
			["gravityx"] = 0,						-- 重力x方向
			["gravityy"] = -1600,						-- 重力y方向
			["particleLifespan"] = 2,				-- 存活时间
			["particleLifespanVariance"] = 1,
			["angle"] = 180,						-- 初角度
			["angleVariance"] = 0,
			["speed"] = 1,							-- 初速度
			["speedVariance"] = 0,
			["startColorAlpha"] = 1,				-- 开始颜色
			["startColorBlue"] = 1,
			["startColorGreen"] = 1,
			["startColorRed"] = 1,
			["startColorVarianceAlpha"] = 0,
			["startColorVarianceBlue"] = 0,
			["startColorVarianceGreen"] = 0,
			["startColorVarianceRed"] = 0,
			["finishColorAlpha"] = 1,				-- 结束颜色
			["finishColorBlue"] = 1,
			["finishColorGreen"] = 1,
			["finishColorRed"] = 1,
			["finishColorVarianceAlpha"] = 0,
			["finishColorVarianceBlue"] = 0,
			["finishColorVarianceGreen"] = 0,
			["finishColorVarianceRed"] = 0,
			["startParticleSize"] = 100,			-- 开始大小
			["startParticleSizeVariance"] = 100,
			["finishParticleSize"] = 50,			-- 结束大小
			["finishParticleSizeVariance"] = 50,
			["rotationStart"] = 180,				-- 开始旋转
			["rotationStartVariance"] = 0,
			["rotationEnd"] = 180,					-- 结束旋转
			["rotationEndVariance"] = 0,
			["sourcePositionx"] = 0,				-- 出生位置
			["sourcePositiony"] = 200,
			["sourcePositionVariancex"] = 800,
			["sourcePositionVariancey"] = 800,
			["radialAcceleration"]		= 0,				-- 
			["radialAccelVariance"]		= 0,
			["tangentialAcceleration"]	= 0,
			["tangentialAccelVariance"] = 0,
		},
		{
			["textureFileName"] = "heart/face3.png",
			["maxParticles"] = 8,					-- 最大粒子数
			["gravityx"] = 0,						-- 重力x方向
			["gravityy"] = -1600,						-- 重力y方向
			["particleLifespan"] = 2,				-- 存活时间
			["particleLifespanVariance"] = 1,
			["angle"] = 180,						-- 初角度
			["angleVariance"] = 0,
			["speed"] = 1,							-- 初速度
			["speedVariance"] = 0,
			["startColorAlpha"] = 1,				-- 开始颜色
			["startColorBlue"] = 1,
			["startColorGreen"] = 1,
			["startColorRed"] = 1,
			["startColorVarianceAlpha"] = 0,
			["startColorVarianceBlue"] = 0,
			["startColorVarianceGreen"] = 0,
			["startColorVarianceRed"] = 0,
			["finishColorAlpha"] = 1,				-- 结束颜色
			["finishColorBlue"] = 1,
			["finishColorGreen"] = 1,
			["finishColorRed"] = 1,
			["finishColorVarianceAlpha"] = 0,
			["finishColorVarianceBlue"] = 0,
			["finishColorVarianceGreen"] = 0,
			["finishColorVarianceRed"] = 0,
			["startParticleSize"] = 100,			-- 开始大小
			["startParticleSizeVariance"] = 100,
			["finishParticleSize"] = 50,			-- 结束大小
			["finishParticleSizeVariance"] = 50,
			["rotationStart"] = 180,				-- 开始旋转
			["rotationStartVariance"] = 0,
			["rotationEnd"] = 180,					-- 结束旋转
			["rotationEndVariance"] = 0,
			["sourcePositionx"] = 0,				-- 出生位置
			["sourcePositiony"] = 200,
			["sourcePositionVariancex"] = 800,
			["sourcePositionVariancey"] = 800,
			["radialAcceleration"]		= 0,				-- 
			["radialAccelVariance"]		= 0,
			["tangentialAcceleration"]	= 0,
			["tangentialAccelVariance"] = 0,
		},
	},
	{
		{
			["textureFileName"] = "heart/heart4.png",
			["maxParticles"] = 25,					-- 最大粒子数
			["gravityx"] = 0,						-- 重力x方向
			["gravityy"] = 0,						-- 重力y方向
			["particleLifespan"] = 2,				-- 存活时间
			["particleLifespanVariance"] = 1,
			["angle"] = 180,						-- 初角度
			["angleVariance"] = 0,
			["speed"] = 1,							-- 初速度
			["speedVariance"] = 0,
			["startColorAlpha"] = 1,				-- 开始颜色
			["startColorBlue"] = 1,
			["startColorGreen"] = 1,
			["startColorRed"] = 1,
			["startColorVarianceAlpha"] = 0,
			["startColorVarianceBlue"] = 0,
			["startColorVarianceGreen"] = 0,
			["startColorVarianceRed"] = 0,
			["finishColorAlpha"] = 1,				-- 结束颜色
			["finishColorBlue"] = 1,
			["finishColorGreen"] = 1,
			["finishColorRed"] = 1,
			["finishColorVarianceAlpha"] = 0,
			["finishColorVarianceBlue"] = 0,
			["finishColorVarianceGreen"] = 0,
			["finishColorVarianceRed"] = 0,
			["startParticleSize"] = 50,				-- 开始大小
			["startParticleSizeVariance"] = 100,
			["finishParticleSize"] = 100,			-- 结束大小
			["finishParticleSizeVariance"] = 100,
			["rotationStart"] = 180,				-- 开始旋转
			["rotationStartVariance"] = 0,
			["rotationEnd"] = 180,					-- 结束旋转
			["rotationEndVariance"] = 0,
			["sourcePositionx"] = 0,				-- 出生位置
			["sourcePositiony"] = 0,
			["sourcePositionVariancex"] = 800,
			["sourcePositionVariancey"] = 800,
			["radialAcceleration"]		= 400,				-- 
			["radialAccelVariance"]		= 400,
			["tangentialAcceleration"]	= 400,
			["tangentialAccelVariance"] = 400,
		},
		{
			["textureFileName"] = "heart/face4.png",
			["maxParticles"] = 8,					-- 最大粒子数
			["gravityx"] = 0,						-- 重力x方向
			["gravityy"] = 0,						-- 重力y方向
			["particleLifespan"] = 2,				-- 存活时间
			["particleLifespanVariance"] = 1,
			["angle"] = 180,						-- 初角度
			["angleVariance"] = 0,
			["speed"] = 1,							-- 初速度
			["speedVariance"] = 0,
			["startColorAlpha"] = 1,				-- 开始颜色
			["startColorBlue"] = 1,
			["startColorGreen"] = 1,
			["startColorRed"] = 1,
			["startColorVarianceAlpha"] = 0,
			["startColorVarianceBlue"] = 0,
			["startColorVarianceGreen"] = 0,
			["startColorVarianceRed"] = 0,
			["finishColorAlpha"] = 1,				-- 结束颜色
			["finishColorBlue"] = 1,
			["finishColorGreen"] = 1,
			["finishColorRed"] = 1,
			["finishColorVarianceAlpha"] = 0,
			["finishColorVarianceBlue"] = 0,
			["finishColorVarianceGreen"] = 0,
			["finishColorVarianceRed"] = 0,
			["startParticleSize"] = 50,				-- 开始大小
			["startParticleSizeVariance"] = 100,
			["finishParticleSize"] = 100,			-- 结束大小
			["finishParticleSizeVariance"] = 100,
			["rotationStart"] = 180,				-- 开始旋转
			["rotationStartVariance"] = 0,
			["rotationEnd"] = 180,					-- 结束旋转
			["rotationEndVariance"] = 0,
			["sourcePositionx"] = 0,				-- 出生位置
			["sourcePositiony"] = 0,
			["sourcePositionVariancex"] = 800,
			["sourcePositionVariancey"] = 800,
			["radialAcceleration"]		= 400,				-- 
			["radialAccelVariance"]		= 400,
			["tangentialAcceleration"]	= 400,
			["tangentialAccelVariance"] = 400,
		},
	},
};

config.video =
{
	["Smile"]		= 1,
	["MouthOpened"]	= 2,
	["Kiss"]		= 3,
	["EyeBlinked"]	= 4,
};

config.icon =
{
	"icon/icon_00000.png",
	"icon/icon_00001.png",
	"icon/icon_00002.png",
	"icon/icon_00003.png",
	"icon/icon_00004.png",
	"icon/icon_00005.png",
	"icon/icon_00006.png",
	"icon/icon_00007.png",
	"icon/icon_00008.png",
	"icon/icon_00009.png",
	"icon/icon_00010.png",
	"icon/icon_00011.png",
	"icon/icon_00012.png",
	"icon/icon_00013.png",
	"icon/icon_00014.png",
	"icon/icon_00015.png",
	"icon/icon_00016.png",
	"icon/icon_00017.png",
	"icon/icon_00018.png",
	"icon/icon_00019.png",
	"icon/icon_00020.png",
	"icon/icon_00021.png",
	"icon/icon_00022.png",
	"icon/icon_00023.png",
	"icon/icon_00024.png",
	"icon/icon_00025.png",
	"icon/icon_00026.png",
	"icon/icon_00027.png",
	"icon/icon_00028.png",
	"icon/icon_00029.png",
	"icon/icon_00030.png",
	"icon/icon_00031.png",
	"icon/icon_00032.png",
	"icon/icon_00033.png",
	"icon/icon_00034.png",
	"icon/icon_00035.png",
	"icon/icon_00036.png",
	"icon/icon_00037.png",
	"icon/icon_00038.png",
	"icon/icon_00039.png",
	"icon/icon_00040.png",
	"icon/icon_00041.png",
	"icon/icon_00042.png",
	"icon/icon_00043.png",
	"icon/icon_00044.png",
	"icon/icon_00045.png",
	"icon/icon_00046.png",
	"icon/icon_00047.png",
	"icon/icon_00048.png",
	"icon/icon_00049.png",
	"icon/icon_00050.png",
	"icon/icon_00051.png",
	"icon/icon_00052.png",
	"icon/icon_00053.png",
	"icon/icon_00054.png",
	"icon/icon_00055.png",
	"icon/icon_00056.png",
	"icon/icon_00057.png",
	"icon/icon_00058.png",
	"icon/icon_00059.png",
	"icon/icon_00060.png",
	"icon/icon_00061.png",
	"icon/icon_00062.png",
	"icon/icon_00063.png",
	"icon/icon_00064.png",
	"icon/icon_00065.png",
	"icon/icon_00066.png",
	"icon/icon_00067.png",
	"icon/icon_00068.png",
	"icon/icon_00069.png",
	"icon/icon_00070.png",
	"icon/icon_00071.png",
	"icon/icon_00072.png",
	"icon/icon_00073.png",
	"icon/icon_00074.png",
	"icon/icon_00075.png",
	"icon/icon_00076.png",
	"icon/icon_00077.png",
	"icon/icon_00078.png",
	"icon/icon_00079.png",
	"icon/icon_00080.png",
	"icon/icon_00081.png",
	"icon/icon_00082.png",
	"icon/icon_00083.png",
	"icon/icon_00084.png",
	"icon/icon_00085.png",
	"icon/icon_00086.png",
	"icon/icon_00087.png",
	"icon/icon_00088.png",
	"icon/icon_00089.png",
	"icon/icon_00090.png",
	"icon/icon_00091.png",
	"icon/icon_00092.png",
	"icon/icon_00093.png",
	"icon/icon_00094.png",
	"icon/icon_00095.png",
	"icon/icon_00096.png",
	"icon/icon_00097.png",
	"icon/icon_00098.png",
	"icon/icon_00099.png",
	"icon/icon_00100.png",
	"icon/icon_00101.png",
	"icon/icon_00102.png",
	"icon/icon_00103.png",
	"icon/icon_00104.png",
	"icon/icon_00105.png",
	"icon/icon_00106.png",
	"icon/icon_00107.png",
	"icon/icon_00108.png",
	"icon/icon_00109.png",
	"icon/icon_00110.png",
	"icon/icon_00111.png",
	"icon/icon_00112.png",
	"icon/icon_00113.png",
	"icon/icon_00114.png",
	"icon/icon_00115.png",
	"icon/icon_00116.png",
	"icon/icon_00117.png",
	"icon/icon_00118.png",
	"icon/icon_00119.png",
};

----[[ B+
config.cut = { "fortest/cut1.mp4" };

config.mp4 =
{
	{ "fortest/heart1.mp4" },
	{ "fortest/heart2.mp4" },
	{ "fortest/heart3.mp4" },
	{ "fortest/heart4.mp4" },
};
--]]

--[[ 秀秀
config.cut = { "mp4/cut1_color.mp4", "mp4/cut1_white.mp4" };
config.mp4 =
{
	{ "mp4/heart1_color.mp4", "mp4/heart1_white.mp4" },
	{ "mp4/heart2_color.mp4", "mp4/heart2_white.mp4" },
	{ "mp4/heart3_color.mp4", "mp4/heart3_white.mp4" },
	{ "mp4/heart4_color.mp4", "mp4/heart4_white.mp4" },
};
]]
return config